#!/bin/sh
clear
cdir=$(pwd)
echo "***************************************************"
echo "---------------------------------------------------"
echo "TRY TO START 'PODCATCHER ON A STICK' for linux"
echo "---------------------------------------------------"
echo "***************************************************"
echo "Hi ok now we check for Python installation"
echo "***************************************************"
if python -V
then
  echo "found python ..."
  echo "***************************************************"
  echo "ok now we check for Tcl/Tk installation"
  echo "***************************************************"
  cd
  if cd ../../Library/Frameworks/Tcl.framework/
  then
    echo "found tcl/tk ..."
    echo "try to start podcatcher with GUI"
    cd $cdir
    cd podcatcher
    cd source
    python podcatcher.py
  else
    echo "found NO tcl/tk"
    echo "try to start podcatcher text-only-mode"
    cd $cdir
    cd podcatcher
    cd source
    python podcatcher_noGui.py -info
  fi
else
  echo ""
  echo "***************************************************"
  echo "---------------------------------------------------"
  echo "PROBLEM:"
  echo "podcatcher on a stick needs Python to run on a"
  echo "Linux-System. There is no Python available."
  echo "PODCATCHER ON A STICK CAN NOT START. sorry"
  echo "---------------------------------------------------"
  echo "***************************************************"
fi




