#!/usr/bin/env python
# ---------------------------------------------------------------------------
# PODCATCHER ON A STICK v0.3
# part of the podcast[@]university-project 2005 bauhaus university weimar /GE
# more information : http://www.podblogger.de/mp3stick
# ---------------------------------------------------------------------------
# This program is released under the GNU General Public Licence. Please see
# http://opensource.org/licenses/gpl-license.php
# for more information.
# ---------------------------------------------------------------------------
# Author: Christian Rotzoll, christian.rotzoll@medien.uni-weimar.de
# Uses Universal feed parser by Mark Pilgrim http://feedparser.org
# ---------------------------------------------------------------------------

import os, sys, Tkinter
import pCORE
import pGUI

################################################################
# INIT MODULES
################################################################

# change working directory (one or two level higher)
os.chdir('..');
print "OS:",os.name;
if os.name=="posix":
  os.chdir('..');

print "-------------------------------------"
print "PODCATCHER ON A STICK 0.3 with GUI"
print "http://www.podblogger.de/mp3stick"
print "-------------------------------------\n"

################################################################
# INIT CLASSES
################################################################


# BUILDIG ROOT-WINDOWS and placing it in the middle of screen
root=Tkinter.Tk();
root.resizable(False, False);
root.iconname("pocatcher on a stick");
root.title("podcatcher on a stick");

root.update();

# root.wm_iconbitmap( "@canvas_icon.xbm" )

ymiddle = root.winfo_screenheight() /2;
xmiddle = root.winfo_screenwidth() /2;

xhalf = root.winfo_width();
yhalf = root.winfo_height();

xPos = xmiddle - xhalf;
yPos = ymiddle - yhalf;

root.geometry("+%d+%d" % (xPos,yPos))

# if it is started with for automatic download,
# iconize it at the beginning (backgrounddownload)
if (len(sys.argv)>1) and (sys.argv[1]=="-startDownload"):
  root.iconify();    

# INIT GUI-INSTANCE
gui=pGUI.pGUI(root);
gui.setMainText("-- starting --");
gui.setSubText("-- INIT --");


# INIT PODCATCHERCORE with ref to GUI
core =pCORE.pCORE(gui)

# STARTING MAINLOOP
gui.mainloop();