#!/usr/bin/env python
# ---------------------------------------------------------------------------
# PODCATCHER ON A STICK v0.3
# part of the podcast[@]university-project 2005 bauhaus university weimar /GE
# more information : http://www.podblogger.de/mp3stick
# ---------------------------------------------------------------------------
# This program is released under the GNU General Public Licence. Please see
# http://opensource.org/licenses/gpl-license.php
# for more information.
# ---------------------------------------------------------------------------
# Author: Christian Rotzoll, christian.rotzoll@medien.uni-weimar.de
# Uses Universal feed parser by Mark Pilgrim http://feedparser.org
# ---------------------------------------------------------------------------

import os
import pCORE
import noGUI

################################################################
# INIT MODULES
################################################################

# change working directory (one or two level higher)
os.chdir('..');
print "OS:",os.name;
if os.name=="posix":
  os.chdir('..');  

print "-------------------------------------"
print "PODCATCHER ON A STICK 0.3 TEXT-ONLY"
print "http://www.podblogger.de/mp3stick"
print "-------------------------------------\n"

################################################################
# INIT CLASSES
################################################################

# INIT the FAKE-GUI object
# this was build to make podcatcher run also without an working
# tcl/tk-installation on system
gui=noGUI.noGUI();

# INIT PODCATCHERCORE with ref to GUI
core =pCORE.pCORE(gui)

# STARTING MAINLOOP
gui.mainloop();